Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QSessionManager.RestartHint

    java.lang.Object
      java.lang.Enum<QSessionManager.RestartHint>
          com.trolltech.qt.gui.QSessionManager.RestartHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSessionManager.RestartHint>

Enclosing class:
  QSessionManager

    public static enum QSessionManager.RestartHint

extends java.lang.Enum<QSessionManager.RestartHint>
implements QtEnumerator

This enum type defines the circumstances under which this application wants to be restarted by the session manager. The current values are

The default hint is `RestartIfRunning`.

Enum Constant Summary
`RestartAnyway` the application wants to be started at the start of the next session, no matter what.
`RestartIfRunning` if the application is still running when the session is shut down, it wants to be restarted at the start of the next session.
`RestartImmediately` the application wants to be started immediately whenever it is not running.
`RestartNever` the application does not want to be restarted automatically.

Method Summary
`static QSessionManager.RestartHint` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSessionManager.RestartHint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSessionManager.RestartHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RestartIfRunning

    public static final QSessionManager.RestartHint RestartIfRunning

  if the application is still running when the session is shut down, it wants to be restarted at the start of the next session.

### RestartAnyway

    public static final QSessionManager.RestartHint RestartAnyway

  the application wants to be started at the start of the next session, no matter what. (This is useful for utilities that run just after startup and then quit.)

### RestartImmediately

    public static final QSessionManager.RestartHint RestartImmediately

  the application wants to be started immediately whenever it is not running.

### RestartNever

    public static final QSessionManager.RestartHint RestartNever

  the application does not want to be restarted automatically.

Method Detail

### values

    public static final QSessionManager.RestartHint[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSessionManager.RestartHint c : QSessionManager.RestartHint.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSessionManager.RestartHint valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSessionManager.RestartHint resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD